import tkinter
import tkinter.font as tkFont
import constant
class AboutMe:
    def __init__(self, parent):
        self.softname=constant.Constant().softname
        self.AboutMessage="""
        作者：IT小小龙
        作者邮箱：long5092@126.com
        作者博客：blog.sina.com.cn/buduanqs
        
        This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by the Free
Software Foundation; either version 2 of the License, or (at your option) any 
later version.
        本程序是自由软件；用户可以基于最新的GPL协议发布和修改它。
        
        This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of  
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
        本程序旨在对用户有用，不提供任何情况下的担保。        
        """
        self.top=tkinter.Toplevel(parent)
        self.top.resizable(0,0)
        self.top.title(self.softname)
        sysfont=tkFont.Font(self.top, size=12)
        fra1=tkinter.Frame(self.top)
        fra2=tkinter.Frame(self.top)
        fra3=tkinter.Frame(self.top)
        fra4=tkinter.Frame(self.top)
        #程序名和版本
        lver=tkinter.Label(fra1,text=self.softname, font=sysfont)
        lver.pack(side=tkinter.TOP,pady=10)
        #程序描述
        ldesp=tkinter.Label(fra1, text="一款跨平台空气质量监测软件", font=sysfont)
        ldesp.pack(side=tkinter.TOP)
        #作者
        lmak=tkinter.Label(fra2,text="作者：IT小小龙", font=sysfont)
        lmak.pack(side=tkinter.TOP)
        #版本信息
        canv=tkinter.Canvas(fra3)
        canv.pack(fill=tkinter.BOTH,expand=1)
        txt1=tkinter.Text(canv,width=66,height=15,bg='#ffffff',borderwidth=1, font=sysfont)
        scroll=tkinter.Scrollbar(canv,command=canv.yview)
        txt1.configure(yscrollcommand=scroll.set)
        txt1.pack(side=tkinter.LEFT,fill=tkinter.BOTH,expand=1)
        scroll.pack(side=tkinter.RIGHT,fill=tkinter.Y)
        txt1.insert(tkinter.END,self.AboutMessage)        
        canv.pack()
        
        b=tkinter.Button(fra4, text="确定", command=self.ok, font=sysfont)
        b.pack(pady=5)
        fra1.pack(side=tkinter.TOP, pady=10)
        fra2.pack(side=tkinter.TOP, pady=10)
        fra3.pack(side=tkinter.TOP, pady=10)
        fra4.pack(side=tkinter.TOP)
        


    def ok(self):
        self.top.destroy()
